Magick++: Magick::DrawableText Class Reference

Magick++ 6.9.6

Public Member Functions | List of all members
Magick::DrawableText Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableText:
[legend]
Collaboration diagram for Magick::DrawableText:
[legend]

## Public Member Functions
| DrawableText (const double x_, const double y_, const std::string &text_)
| DrawableText (const double x_, const double y_, const std::string &text_, const std::string &encoding_)
| DrawableText (const DrawableText &original_)
| ~DrawableText (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | encoding (const std::string &encoding_)
void | x (double x_)
double | x (void) const
void | y (double y_)
double | y (void) const
void | text (const std::string &text_)
std::string | text (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1927 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::DrawableText::DrawableText | ( | const double | x_,
|  | const double | y_,
|  | const std::string & | text_
| ) |  |

Definition at line 1289 of file Drawable.cpp.

Magick::DrawableText::DrawableText | ( | const double | x_,
|  | const double | y_,
|  | const std::string & | text_,
|  | const std::string & | encoding_
| ) |  |

Definition at line 1297 of file Drawable.cpp.

Magick::DrawableText::DrawableText | ( | const DrawableText & | original_ | ) |

Definition at line 1305 of file Drawable.cpp.

Magick::DrawableText::~DrawableText | ( | void |  | ) |

Definition at line 1313 of file Drawable.cpp.

## Member Function Documentation

Magick::DrawableBase * Magick::DrawableText::copy | ( |  | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 1323 of file Drawable.cpp.

void Magick::DrawableText::encoding | ( | const std::string & | encoding_ | ) |
| inline

Definition at line 1945 of file Drawable.h.

void Magick::DrawableText::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 1317 of file Drawable.cpp.

void Magick::DrawableText::text | ( | const std::string & | text_ | ) |
| inline

Definition at line 1968 of file Drawable.h.

std::string Magick::DrawableText::text | ( | void |  | ) | const
| inline

Definition at line 1972 of file Drawable.h.

void Magick::DrawableText::x | ( | double | x_ | ) |
| inline

Definition at line 1950 of file Drawable.h.

double Magick::DrawableText::x | ( | void |  | ) | const
| inline

Definition at line 1954 of file Drawable.h.

void Magick::DrawableText::y | ( | double | y_ | ) |
| inline

Definition at line 1959 of file Drawable.h.

double Magick::DrawableText::y | ( | void |  | ) | const
| inline

Definition at line 1963 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp